/*编制维度 预置*/
UPDATE T_HAOS_STAFFDIMENSION SET FORINUMBER = '1010_S' , FORINAME = '岗位', FORISTATUS = '0' WHERE FID = 1010;
UPDATE T_HAOS_STAFFDIMENSION SET FORINUMBER = '1020_S' , FORINAME = '职位', FORISTATUS = '0' WHERE FID = 1020;
UPDATE T_HAOS_STAFFDIMENSION SET FORINUMBER = '1050_S' , FORINAME = '用工关系类型', FORISTATUS = '0' WHERE FID = 1050;
UPDATE T_HAOS_STAFFDIMENSION_L SET FORINAME = '岗位' WHERE FID = 1010 AND FLOCALEID = 'zh_CN';
UPDATE T_HAOS_STAFFDIMENSION_L SET FORINAME = '职位' WHERE FID = 1020 AND FLOCALEID = 'zh_CN';
UPDATE T_HAOS_STAFFDIMENSION_L SET FORINAME = '用工关系类型' WHERE FID = 1050 AND FLOCALEID = 'zh_CN';
UPDATE T_HAOS_STAFFDIMENSION SET foristatus = '1' WHERE  FID in (1010,1020,1050) and (fname != foriname or fnumber!=forinumber);
/*编制周期 预置*/
UPDATE T_HAOS_STAFFCYCLE SET FORINUMBER = '1010_S' , FORINAME = '月', FORISTATUS = '0' WHERE FID = 1010;
UPDATE T_HAOS_STAFFCYCLE SET FORINUMBER = '1020_S' , FORINAME = '年', FORISTATUS = '0' WHERE FID = 1020;
UPDATE T_HAOS_STAFFCYCLE_L SET FORINAME = '月' WHERE FID = 1010 AND FLOCALEID = 'zh_CN';
UPDATE T_HAOS_STAFFCYCLE_L SET FORINAME = '年' WHERE FID = 1020 AND FLOCALEID = 'zh_CN';
UPDATE T_HAOS_STAFFCYCLE SET foristatus = '1' WHERE  FID in (1010,1020) and (fname != foriname or fnumber!=forinumber);
/*编制业务活动 预置*/
UPDATE T_HAOS_STAFFACTIVITY SET FORINUMBER = '1010_S' , FORINAME = '启动入职', FORISTATUS = '0' WHERE FID = 1010;
UPDATE T_HAOS_STAFFACTIVITY SET FORINUMBER = '1020_S' , FORINAME = '入职生效', FORISTATUS = '0' WHERE FID = 1020;
UPDATE T_HAOS_STAFFACTIVITY SET FORINUMBER = '1030_S' , FORINAME = '启动离职', FORISTATUS = '0' WHERE FID = 1030;
UPDATE T_HAOS_STAFFACTIVITY SET FORINUMBER = '1040_S' , FORINAME = '离职生效', FORISTATUS = '0' WHERE FID = 1040;
UPDATE T_HAOS_STAFFACTIVITY SET FORINUMBER = '1050_S' , FORINAME = '启动调动', FORISTATUS = '0' WHERE FID = 1050;
UPDATE T_HAOS_STAFFACTIVITY SET FORINUMBER = '1060_S' , FORINAME = '调动生效', FORISTATUS = '0' WHERE FID = 1060;
UPDATE T_HAOS_STAFFACTIVITY SET FORINUMBER = '1080_S' , FORINAME = '调动生效', FORISTATUS = '0' WHERE FID = 1080;
UPDATE T_HAOS_STAFFACTIVITY SET FORINUMBER = '1070_S' , FORINAME = '启动调动', FORISTATUS = '0' WHERE FID = 1070;
UPDATE T_HAOS_STAFFACTIVITY SET FORINUMBER = '1090_S' , FORINAME = '启动Offer', FORISTATUS = '0' WHERE FID = 1090;
UPDATE T_HAOS_STAFFACTIVITY_L SET FORINAME = '启动入职' WHERE FID = 1010 AND FLOCALEID = 'zh_CN';
UPDATE T_HAOS_STAFFACTIVITY_L SET FORINAME = '入职生效' WHERE FID = 1020 AND FLOCALEID = 'zh_CN';
UPDATE T_HAOS_STAFFACTIVITY_L SET FORINAME = '启动离职' WHERE FID = 1030 AND FLOCALEID = 'zh_CN';
UPDATE T_HAOS_STAFFACTIVITY_L SET FORINAME = '离职生效' WHERE FID = 1040 AND FLOCALEID = 'zh_CN';
UPDATE T_HAOS_STAFFACTIVITY_L SET FORINAME = '启动调动' WHERE FID = 1050 AND FLOCALEID = 'zh_CN';
UPDATE T_HAOS_STAFFACTIVITY_L SET FORINAME = '调动生效' WHERE FID = 1060 AND FLOCALEID = 'zh_CN';
UPDATE T_HAOS_STAFFACTIVITY_L SET FORINAME = '调动生效' WHERE FID = 1080 AND FLOCALEID = 'zh_CN';
UPDATE T_HAOS_STAFFACTIVITY_L SET FORINAME = '启动调动' WHERE FID = 1070 AND FLOCALEID = 'zh_CN';
UPDATE T_HAOS_STAFFACTIVITY_L SET FORINAME = '启动Offer' WHERE FID = 1090 AND FLOCALEID = 'zh_CN';
UPDATE T_HAOS_STAFFACTIVITY SET foristatus = '1' WHERE  FID in (1010,1020,1030,1040,1050,1060,1070,1080,1090) and (fname != foriname or fnumber!=forinumber);
/*编制活动类型 预置*/
UPDATE T_HAOS_STAFFACTIVITYTYPE SET FORINUMBER = '1010_S' , FORINAME = '入职', FORISTATUS = '0' WHERE FID = 1010;
UPDATE T_HAOS_STAFFACTIVITYTYPE SET FORINUMBER = '1020_S' , FORINAME = '离职', FORISTATUS = '0' WHERE FID = 1020;
UPDATE T_HAOS_STAFFACTIVITYTYPE SET FORINUMBER = '1030_S' , FORINAME = '调入', FORISTATUS = '0' WHERE FID = 1030;
UPDATE T_HAOS_STAFFACTIVITYTYPE SET FORINUMBER = '1040_S' , FORINAME = '调出', FORISTATUS = '0' WHERE FID = 1040;
UPDATE T_HAOS_STAFFACTIVITYTYPE_L SET FORINAME = '入职' WHERE FID = 1010 AND FLOCALEID = 'zh_CN';
UPDATE T_HAOS_STAFFACTIVITYTYPE_L SET FORINAME = '离职' WHERE FID = 1020 AND FLOCALEID = 'zh_CN';
UPDATE T_HAOS_STAFFACTIVITYTYPE_L SET FORINAME = '调入' WHERE FID = 1030 AND FLOCALEID = 'zh_CN';
UPDATE T_HAOS_STAFFACTIVITYTYPE_L SET FORINAME = '调出' WHERE FID = 1040 AND FLOCALEID = 'zh_CN';
UPDATE T_HAOS_STAFFACTIVITYTYPE SET foristatus = '1' WHERE  FID in (1010,1020,1030,1040) and (fname != foriname or fnumber!=forinumber);




